Catalog Search Resources

GET /catalog/games

Returns a list of titles from a games search of the catalog.

If the 'refine' query parameter is supplied, a list of links to further refine the search is also included.

Features

  • paging - items_per_page=20 by default (maximum 250)
  • title expansion
Optional Parameters
ParameterTypeDescription
termstringThe search string
refinecomma-separated listFacet names to provide refinement links to, or the value 'all' to refine all facets. Supported facets:
  • cast
  • certificate
  • collection
  • collection_id
  • coming_soon
  • digital_purchase_type
  • directors
  • format
  • genre
  • language
  • media
  • most_popular
  • new_releases
  • production_decade
  • purchase
genrestringSeach a particular genre; see /categories/genres
formatstringSearch a particular format; see /categories/format
certificatestringRestrict the search to a specific certificate; see /categories/certificates/pegi, /categories/certificates/bbfc
purchasestringSearch a particular purchase type; see /categories/purchases

+ Example:

Request
GET /catalog/games?items_per_page=2&term=old HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<search>
<total_results>6</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/catalog/games?start_index=1&amp;items_per_page=2&amp;term=old" rel="self" title="self"/>
<link href="http://openapi.lovefilm.com/catalog/games?start_index=3&amp;items_per_page=2&amp;term=old" rel="next" title="next"/>
<link href="http://openapi.lovefilm.com/catalog/games?start_index=5&amp;items_per_page=2&amp;term=old" rel="last" title="last"/>
<catalog_title>
<can_rent>true</can_rent>
<release_date>2003-09-12</release_date>
<title full="Star Wars: Knights of the Old Republic" clean="Star Wars: Knights of the Old Republic"/>
<id>http://openapi.lovefilm.com/catalog/title/59643</id>
<adult>false</adult>
<number_of_ratings>574</number_of_ratings>
<rating>4</rating>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="games"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="Xbox"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Adventure"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Role-playing"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="TBC"/>
<link href="http://openapi.lovefilm.com/catalog/title/59643/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/59643/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/59643/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/59643/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/59643/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/59643/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/product/59643-Star-Wars-Knights-of-the-Old-Republic.html?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<release_date>2007-07-07</release_date>
<players>1</players>
<number_of_ratings>774</number_of_ratings>
<rating>3.5</rating>
<can_rent>true</can_rent>
<developer>NINTENDO</developer>
<id>http://openapi.lovefilm.com/catalog/title/101266</id>
<title full="Dr Kawashima's Brain Training: How Old Is Your Brain?" clean="Dr Kawashima's Brain Training: How Old Is Your Brain?"/>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="games"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DS"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Party/Music/Misc"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Puzzle/Board/Casino"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/pegi" term="3"/>
<link href="http://openapi.lovefilm.com/catalog/title/101266/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/101266/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/101266/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/101266/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/101266/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/101266/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/product/101266-Dr-Kawashima's-Brain-Training-How-Old-Is-Your-Brain.html?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
</search>

GET /catalog/dancer

Returns a list of titles from a dancer search of the catalog.

If the 'refine' query parameter is supplied, a list of links to further refine the search is also included.

Features

  • paging - items_per_page=20 by default (maximum 250)
  • title expansion
Optional Parameters
ParameterTypeDescription
termstringThe search string
refinecomma-separated listFacet names to provide refinement links to, or the value 'all' to refine all facets. Supported facets:
  • role
rolestringSeach a particular role, see /categories/roles

+ Example:

Request
GET /catalog/dancer?items_per_page=2&term=old HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<search>
<total_results>5</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/catalog/dancer?start_index=1&amp;items_per_page=2&amp;term=old" rel="self" title="self"/>
<link href="http://openapi.lovefilm.com/catalog/dancer?start_index=3&amp;items_per_page=2&amp;term=old" rel="next" title="next"/>
<link href="http://openapi.lovefilm.com/catalog/dancer?start_index=5&amp;items_per_page=2&amp;term=old" rel="last" title="last"/>
<person>
<name>Ian Olds</name>
<id>http://openapi.lovefilm.com/catalog/person/92175</id>
<category scheme="http://openapi.lovefilm.com/categories/roles" term="director"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/biography" rel="http://schemas.lovefilm.com/biography" title="biography"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/filmography" rel="http://schemas.lovefilm.com/filmography" title="filmography"/>
</person>
<person>
<name>Brandon Olds</name>
<id>http://openapi.lovefilm.com/catalog/person/107921</id>
<category scheme="http://openapi.lovefilm.com/categories/roles" term="actor"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/biography" rel="http://schemas.lovefilm.com/biography" title="biography"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/filmography" rel="http://schemas.lovefilm.com/filmography" title="filmography"/>
</person>
</search>

GET /catalog/video

Returns a list of titles from a video search of the catalog.

If the 'refine' query parameter is supplied, a list of links to further refine the search is also included.

Features

  • paging - items_per_page=20 by default (maximum 250)
  • title expansion
Optional Parameters
ParameterTypeDescription
termstringThe search string
refinecomma-separated listFacet names to provide refinement links to, or the value 'all' to refine all facets. Supported facets:
  • cast
  • certificate
  • collection
  • collection_id
  • coming_soon
  • digital_purchase_type
  • directors
  • format
  • genre
  • language
  • media
  • most_popular
  • new_releases
  • production_decade
  • purchase
genrestringSeach a particular genre; see /categories/genres
formatstringSearch a particular format; see /categories/format
certificatestringRestrict the search to a specific certificate; see /categories/certificates/pegi, /categories/certificates/bbfc
purchasestringSearch a particular purchase type; see /categories/purchases

+ Example:

Request
GET /catalog/video?items_per_page=2&term=old HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<search>
<total_results>132</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/catalog/video?start_index=1&amp;items_per_page=2&amp;term=old" rel="self" title="self"/>
<link href="http://openapi.lovefilm.com/catalog/video?start_index=3&amp;items_per_page=2&amp;term=old" rel="next" title="next"/>
<link href="http://openapi.lovefilm.com/catalog/video?start_index=131&amp;items_per_page=2&amp;term=old" rel="last" title="last"/>
<catalog_title>
<studio>PARAMOUNT HOME ENTERTAINMENT</studio>
<release_date>2008-06-02</release_date>
<production_year>2007</production_year>
<number_of_ratings>89145</number_of_ratings>
<rating>3.5</rating>
<can_rent>true</can_rent>
<run_time>122</run_time>
<id>http://openapi.lovefilm.com/catalog/title/97409</id>
<title full="No Country for Old Men" clean="No Country for Old Men"/>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Drama"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Thriller"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/No-Country-for-Old-Men/97409/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>DREAMWORKS HOME ENTERTAINMENT</studio>
<release_date>2003-10-13</release_date>
<production_year>2003</production_year>
<number_of_ratings>21014</number_of_ratings>
<rating>3.5</rating>
<can_rent>true</can_rent>
<run_time>88</run_time>
<id>http://openapi.lovefilm.com/catalog/title/15490</id>
<title full="Old School (Unseen) (Rental)" clean="Old School"/>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Comedy"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Old-School/15490/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
</search>

GET /catalog/voice over

Returns a list of titles from a voice over search of the catalog.

If the 'refine' query parameter is supplied, a list of links to further refine the search is also included.

Features

  • paging - items_per_page=20 by default (maximum 250)
  • title expansion
Optional Parameters
ParameterTypeDescription
termstringThe search string
refinecomma-separated listFacet names to provide refinement links to, or the value 'all' to refine all facets. Supported facets:
  • role
rolestringSeach a particular role, see /categories/roles

+ Example:

Request
GET /catalog/voice%20over?items_per_page=2&term=old HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<search>
<total_results>5</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/catalog/voice%20over?start_index=1&amp;items_per_page=2&amp;term=old" rel="self" title="self"/>
<link href="http://openapi.lovefilm.com/catalog/voice%20over?start_index=3&amp;items_per_page=2&amp;term=old" rel="next" title="next"/>
<link href="http://openapi.lovefilm.com/catalog/voice%20over?start_index=5&amp;items_per_page=2&amp;term=old" rel="last" title="last"/>
<person>
<name>Ian Olds</name>
<id>http://openapi.lovefilm.com/catalog/person/92175</id>
<category scheme="http://openapi.lovefilm.com/categories/roles" term="director"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/biography" rel="http://schemas.lovefilm.com/biography" title="biography"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/filmography" rel="http://schemas.lovefilm.com/filmography" title="filmography"/>
</person>
<person>
<name>Brandon Olds</name>
<id>http://openapi.lovefilm.com/catalog/person/107921</id>
<category scheme="http://openapi.lovefilm.com/categories/roles" term="actor"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/biography" rel="http://schemas.lovefilm.com/biography" title="biography"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/filmography" rel="http://schemas.lovefilm.com/filmography" title="filmography"/>
</person>
</search>

GET /catalog/actor

Returns a list of titles from a actor search of the catalog.

If the 'refine' query parameter is supplied, a list of links to further refine the search is also included.

Features

  • paging - items_per_page=20 by default (maximum 250)
  • title expansion
Optional Parameters
ParameterTypeDescription
termstringThe search string
refinecomma-separated listFacet names to provide refinement links to, or the value 'all' to refine all facets. Supported facets:
  • role
rolestringSeach a particular role, see /categories/roles

+ Example:

Request
GET /catalog/actor?items_per_page=2&term=old HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<search>
<total_results>5</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/catalog/actor?start_index=1&amp;items_per_page=2&amp;term=old" rel="self" title="self"/>
<link href="http://openapi.lovefilm.com/catalog/actor?start_index=3&amp;items_per_page=2&amp;term=old" rel="next" title="next"/>
<link href="http://openapi.lovefilm.com/catalog/actor?start_index=5&amp;items_per_page=2&amp;term=old" rel="last" title="last"/>
<person>
<name>Ian Olds</name>
<id>http://openapi.lovefilm.com/catalog/person/92175</id>
<category scheme="http://openapi.lovefilm.com/categories/roles" term="director"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/biography" rel="http://schemas.lovefilm.com/biography" title="biography"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/filmography" rel="http://schemas.lovefilm.com/filmography" title="filmography"/>
</person>
<person>
<name>Brandon Olds</name>
<id>http://openapi.lovefilm.com/catalog/person/107921</id>
<category scheme="http://openapi.lovefilm.com/categories/roles" term="actor"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/biography" rel="http://schemas.lovefilm.com/biography" title="biography"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/filmography" rel="http://schemas.lovefilm.com/filmography" title="filmography"/>
</person>
</search>

GET /catalog/director

Returns a list of titles from a director search of the catalog.

If the 'refine' query parameter is supplied, a list of links to further refine the search is also included.

Features

  • paging - items_per_page=20 by default (maximum 250)
  • title expansion
Optional Parameters
ParameterTypeDescription
termstringThe search string
refinecomma-separated listFacet names to provide refinement links to, or the value 'all' to refine all facets. Supported facets:
  • role
rolestringSeach a particular role, see /categories/roles

+ Example:

Request
GET /catalog/director?items_per_page=2&term=old HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<search>
<total_results>5</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/catalog/director?start_index=1&amp;items_per_page=2&amp;term=old" rel="self" title="self"/>
<link href="http://openapi.lovefilm.com/catalog/director?start_index=3&amp;items_per_page=2&amp;term=old" rel="next" title="next"/>
<link href="http://openapi.lovefilm.com/catalog/director?start_index=5&amp;items_per_page=2&amp;term=old" rel="last" title="last"/>
<person>
<name>Ian Olds</name>
<id>http://openapi.lovefilm.com/catalog/person/92175</id>
<category scheme="http://openapi.lovefilm.com/categories/roles" term="director"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/biography" rel="http://schemas.lovefilm.com/biography" title="biography"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/filmography" rel="http://schemas.lovefilm.com/filmography" title="filmography"/>
</person>
<person>
<name>Brandon Olds</name>
<id>http://openapi.lovefilm.com/catalog/person/107921</id>
<category scheme="http://openapi.lovefilm.com/categories/roles" term="actor"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/biography" rel="http://schemas.lovefilm.com/biography" title="biography"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/filmography" rel="http://schemas.lovefilm.com/filmography" title="filmography"/>
</person>
</search>

GET /catalog/narrator

Returns a list of titles from a narrator search of the catalog.

If the 'refine' query parameter is supplied, a list of links to further refine the search is also included.

Features

  • paging - items_per_page=20 by default (maximum 250)
  • title expansion
Optional Parameters
ParameterTypeDescription
termstringThe search string
refinecomma-separated listFacet names to provide refinement links to, or the value 'all' to refine all facets. Supported facets:
  • role
rolestringSeach a particular role, see /categories/roles

+ Example:

Request
GET /catalog/narrator?items_per_page=2&term=old HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<search>
<total_results>5</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/catalog/narrator?start_index=1&amp;items_per_page=2&amp;term=old" rel="self" title="self"/>
<link href="http://openapi.lovefilm.com/catalog/narrator?start_index=3&amp;items_per_page=2&amp;term=old" rel="next" title="next"/>
<link href="http://openapi.lovefilm.com/catalog/narrator?start_index=5&amp;items_per_page=2&amp;term=old" rel="last" title="last"/>
<person>
<name>Ian Olds</name>
<id>http://openapi.lovefilm.com/catalog/person/92175</id>
<category scheme="http://openapi.lovefilm.com/categories/roles" term="director"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/biography" rel="http://schemas.lovefilm.com/biography" title="biography"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/filmography" rel="http://schemas.lovefilm.com/filmography" title="filmography"/>
</person>
<person>
<name>Brandon Olds</name>
<id>http://openapi.lovefilm.com/catalog/person/107921</id>
<category scheme="http://openapi.lovefilm.com/categories/roles" term="actor"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/biography" rel="http://schemas.lovefilm.com/biography" title="biography"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/filmography" rel="http://schemas.lovefilm.com/filmography" title="filmography"/>
</person>
</search>

GET /catalog/singer

Returns a list of titles from a singer search of the catalog.

If the 'refine' query parameter is supplied, a list of links to further refine the search is also included.

Features

  • paging - items_per_page=20 by default (maximum 250)
  • title expansion
Optional Parameters
ParameterTypeDescription
termstringThe search string
refinecomma-separated listFacet names to provide refinement links to, or the value 'all' to refine all facets. Supported facets:
  • role
rolestringSeach a particular role, see /categories/roles

+ Example:

Request
GET /catalog/singer?items_per_page=2&term=old HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<search>
<total_results>5</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/catalog/singer?start_index=1&amp;items_per_page=2&amp;term=old" rel="self" title="self"/>
<link href="http://openapi.lovefilm.com/catalog/singer?start_index=3&amp;items_per_page=2&amp;term=old" rel="next" title="next"/>
<link href="http://openapi.lovefilm.com/catalog/singer?start_index=5&amp;items_per_page=2&amp;term=old" rel="last" title="last"/>
<person>
<name>Ian Olds</name>
<id>http://openapi.lovefilm.com/catalog/person/92175</id>
<category scheme="http://openapi.lovefilm.com/categories/roles" term="director"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/biography" rel="http://schemas.lovefilm.com/biography" title="biography"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/filmography" rel="http://schemas.lovefilm.com/filmography" title="filmography"/>
</person>
<person>
<name>Brandon Olds</name>
<id>http://openapi.lovefilm.com/catalog/person/107921</id>
<category scheme="http://openapi.lovefilm.com/categories/roles" term="actor"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/biography" rel="http://schemas.lovefilm.com/biography" title="biography"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/filmography" rel="http://schemas.lovefilm.com/filmography" title="filmography"/>
</person>
</search>

GET /catalog/person

Returns a list of titles from a person search of the catalog.

If the 'refine' query parameter is supplied, a list of links to further refine the search is also included.

Features

  • paging - items_per_page=20 by default (maximum 250)
  • title expansion
Optional Parameters
ParameterTypeDescription
termstringThe search string
refinecomma-separated listFacet names to provide refinement links to, or the value 'all' to refine all facets. Supported facets:
  • role
rolestringSeach a particular role, see /categories/roles

+ Example:

Request
GET /catalog/person?items_per_page=2&term=old HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<search>
<total_results>5</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/catalog/person?start_index=1&amp;items_per_page=2&amp;term=old" rel="self" title="self"/>
<link href="http://openapi.lovefilm.com/catalog/person?start_index=3&amp;items_per_page=2&amp;term=old" rel="next" title="next"/>
<link href="http://openapi.lovefilm.com/catalog/person?start_index=5&amp;items_per_page=2&amp;term=old" rel="last" title="last"/>
<person>
<name>Ian Olds</name>
<id>http://openapi.lovefilm.com/catalog/person/92175</id>
<category scheme="http://openapi.lovefilm.com/categories/roles" term="director"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/biography" rel="http://schemas.lovefilm.com/biography" title="biography"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/filmography" rel="http://schemas.lovefilm.com/filmography" title="filmography"/>
</person>
<person>
<name>Brandon Olds</name>
<id>http://openapi.lovefilm.com/catalog/person/107921</id>
<category scheme="http://openapi.lovefilm.com/categories/roles" term="actor"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/biography" rel="http://schemas.lovefilm.com/biography" title="biography"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/filmography" rel="http://schemas.lovefilm.com/filmography" title="filmography"/>
</person>
</search>

GET /catalog/film

Returns a list of titles from a film search of the catalog.

If the 'refine' query parameter is supplied, a list of links to further refine the search is also included.

Features

  • paging - items_per_page=20 by default (maximum 250)
  • title expansion
Optional Parameters
ParameterTypeDescription
termstringThe search string
refinecomma-separated listFacet names to provide refinement links to, or the value 'all' to refine all facets. Supported facets:
  • cast
  • certificate
  • collection
  • collection_id
  • coming_soon
  • digital_purchase_type
  • directors
  • format
  • genre
  • language
  • media
  • most_popular
  • new_releases
  • production_decade
  • purchase
genrestringSeach a particular genre; see /categories/genres
formatstringSearch a particular format; see /categories/format
certificatestringRestrict the search to a specific certificate; see /categories/certificates/pegi, /categories/certificates/bbfc
purchasestringSearch a particular purchase type; see /categories/purchases

+ Example:

Request
GET /catalog/film?items_per_page=2&term=old HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<search>
<total_results>120</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/catalog/film?start_index=1&amp;items_per_page=2&amp;term=old" rel="self" title="self"/>
<link href="http://openapi.lovefilm.com/catalog/film?start_index=3&amp;items_per_page=2&amp;term=old" rel="next" title="next"/>
<link href="http://openapi.lovefilm.com/catalog/film?start_index=119&amp;items_per_page=2&amp;term=old" rel="last" title="last"/>
<catalog_title>
<studio>PARAMOUNT HOME ENTERTAINMENT</studio>
<release_date>2008-06-02</release_date>
<production_year>2007</production_year>
<number_of_ratings>89145</number_of_ratings>
<rating>3.5</rating>
<can_rent>true</can_rent>
<run_time>122</run_time>
<id>http://openapi.lovefilm.com/catalog/title/97409</id>
<title full="No Country for Old Men" clean="No Country for Old Men"/>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Drama"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Thriller"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/No-Country-for-Old-Men/97409/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>DREAMWORKS HOME ENTERTAINMENT</studio>
<release_date>2003-10-13</release_date>
<production_year>2003</production_year>
<number_of_ratings>21014</number_of_ratings>
<rating>3.5</rating>
<can_rent>true</can_rent>
<run_time>88</run_time>
<id>http://openapi.lovefilm.com/catalog/title/15490</id>
<title full="Old School (Unseen) (Rental)" clean="Old School"/>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Comedy"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Old-School/15490/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
</search>

GET /catalog/tv

Returns a list of titles from a tv search of the catalog.

If the 'refine' query parameter is supplied, a list of links to further refine the search is also included.

Features

  • paging - items_per_page=20 by default (maximum 250)
  • title expansion
Optional Parameters
ParameterTypeDescription
termstringThe search string
refinecomma-separated listFacet names to provide refinement links to, or the value 'all' to refine all facets. Supported facets:
  • cast
  • certificate
  • collection
  • collection_id
  • coming_soon
  • digital_purchase_type
  • directors
  • format
  • genre
  • language
  • media
  • most_popular
  • new_releases
  • production_decade
  • purchase
genrestringSeach a particular genre; see /categories/genres
formatstringSearch a particular format; see /categories/format
certificatestringRestrict the search to a specific certificate; see /categories/certificates/pegi, /categories/certificates/bbfc
purchasestringSearch a particular purchase type; see /categories/purchases

+ Example:

Request
GET /catalog/tv?items_per_page=2&term=old HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<search>
<total_results>12</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/catalog/tv?start_index=1&amp;items_per_page=2&amp;term=old" rel="self" title="self"/>
<link href="http://openapi.lovefilm.com/catalog/tv?start_index=3&amp;items_per_page=2&amp;term=old" rel="next" title="next"/>
<link href="http://openapi.lovefilm.com/catalog/tv?start_index=11&amp;items_per_page=2&amp;term=old" rel="last" title="last"/>
<catalog_title>
<studio>BBC WORLDWIDE PUBLISHING</studio>
<release_date>2004-11-15</release_date>
<production_year>2003</production_year>
<number_of_ratings>784</number_of_ratings>
<rating>3.5</rating>
<can_rent>true</can_rent>
<run_time>220</run_time>
<id>http://openapi.lovefilm.com/catalog/title/28631</id>
<title full="Grumpy Old Men (BBC)" clean="Grumpy Old Men"/>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Comedy"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Television"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<link href="http://openapi.lovefilm.com/catalog/title/28631/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/28631/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/28631/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/28631/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/28631/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/28631/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/28631/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/28631/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/28631/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Grumpy-Old-Men/28631/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>2 ENTERTAIN VIDEO</studio>
<release_date>2006-10-16</release_date>
<number_of_ratings>979</number_of_ratings>
<rating>2.5</rating>
<can_rent>true</can_rent>
<run_time>3720</run_time>
<id>http://openapi.lovefilm.com/catalog/title/69651</id>
<title full="Grumpy Old Women - Series 1" clean="Grumpy Old Women - Series 1"/>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Comedy"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Television"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="PG"/>
<link href="http://openapi.lovefilm.com/catalog/title/69651/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/69651/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/69651/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/69651/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/69651/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/69651/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/69651/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/69651/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/69651/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Grumpy-Old-Women-Series-1/69651/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
</search>

GET /catalog/title

Returns a list of titles from a title search of the catalog.

If the 'refine' query parameter is supplied, a list of links to further refine the search is also included.

Features

  • paging - items_per_page=20 by default (maximum 250)
  • title expansion
Optional Parameters
ParameterTypeDescription
termstringThe search string
refinecomma-separated listFacet names to provide refinement links to, or the value 'all' to refine all facets. Supported facets:
  • cast
  • certificate
  • collection
  • collection_id
  • coming_soon
  • digital_purchase_type
  • directors
  • format
  • genre
  • language
  • media
  • most_popular
  • new_releases
  • production_decade
  • purchase
genrestringSeach a particular genre; see /categories/genres
formatstringSearch a particular format; see /categories/format
certificatestringRestrict the search to a specific certificate; see /categories/certificates/pegi, /categories/certificates/bbfc
purchasestringSearch a particular purchase type; see /categories/purchases

+ Example:

Request
GET /catalog/title?items_per_page=2&term=old HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<search>
<total_results>138</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/catalog/title?start_index=1&amp;items_per_page=2&amp;term=old" rel="self" title="self"/>
<link href="http://openapi.lovefilm.com/catalog/title?start_index=3&amp;items_per_page=2&amp;term=old" rel="next" title="next"/>
<link href="http://openapi.lovefilm.com/catalog/title?start_index=137&amp;items_per_page=2&amp;term=old" rel="last" title="last"/>
<catalog_title>
<studio>PARAMOUNT HOME ENTERTAINMENT</studio>
<release_date>2008-06-02</release_date>
<production_year>2007</production_year>
<number_of_ratings>89145</number_of_ratings>
<rating>3.5</rating>
<can_rent>true</can_rent>
<run_time>122</run_time>
<id>http://openapi.lovefilm.com/catalog/title/97409</id>
<title full="No Country for Old Men" clean="No Country for Old Men"/>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Drama"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Thriller"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/97409/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/No-Country-for-Old-Men/97409/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>DREAMWORKS HOME ENTERTAINMENT</studio>
<release_date>2003-10-13</release_date>
<production_year>2003</production_year>
<number_of_ratings>21014</number_of_ratings>
<rating>3.5</rating>
<can_rent>true</can_rent>
<run_time>88</run_time>
<id>http://openapi.lovefilm.com/catalog/title/15490</id>
<title full="Old School (Unseen) (Rental)" clean="Old School"/>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Comedy"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/15490/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Old-School/15490/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
</search>

GET /catalog/drummer

Returns a list of titles from a drummer search of the catalog.

If the 'refine' query parameter is supplied, a list of links to further refine the search is also included.

Features

  • paging - items_per_page=20 by default (maximum 250)
  • title expansion
Optional Parameters
ParameterTypeDescription
termstringThe search string
refinecomma-separated listFacet names to provide refinement links to, or the value 'all' to refine all facets. Supported facets:
  • role
rolestringSeach a particular role, see /categories/roles

+ Example:

Request
GET /catalog/drummer?items_per_page=2&term=old HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<search>
<total_results>5</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/catalog/drummer?start_index=1&amp;items_per_page=2&amp;term=old" rel="self" title="self"/>
<link href="http://openapi.lovefilm.com/catalog/drummer?start_index=3&amp;items_per_page=2&amp;term=old" rel="next" title="next"/>
<link href="http://openapi.lovefilm.com/catalog/drummer?start_index=5&amp;items_per_page=2&amp;term=old" rel="last" title="last"/>
<person>
<name>Ian Olds</name>
<id>http://openapi.lovefilm.com/catalog/person/92175</id>
<category scheme="http://openapi.lovefilm.com/categories/roles" term="director"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/biography" rel="http://schemas.lovefilm.com/biography" title="biography"/>
<link href="http://openapi.lovefilm.com/catalog/person/92175/filmography" rel="http://schemas.lovefilm.com/filmography" title="filmography"/>
</person>
<person>
<name>Brandon Olds</name>
<id>http://openapi.lovefilm.com/catalog/person/107921</id>
<category scheme="http://openapi.lovefilm.com/categories/roles" term="actor"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/biography" rel="http://schemas.lovefilm.com/biography" title="biography"/>
<link href="http://openapi.lovefilm.com/catalog/person/107921/filmography" rel="http://schemas.lovefilm.com/filmography" title="filmography"/>
</person>
</search>

3 Comments

  1. Isofarro3 years ago

    Suggest using underscores instead of spaces in collection URLs, so /catalog/voice_over instead of /catalog/voice over

  2. tehunger2 years ago

    Paging is done with the start_index=N parameter. N starts at 1.

  3. lewi422 years ago

    I've found that /catalog/tv and /catalog/films seem to return the same results, so if you search for "Dark Knight" on either you get a result and likewise for "Father Ted".

Please sign in to post a comment.